#### 28.4.5.2 The extract\_table\_from\_file\_name() Function

[]()[]()

 Given a file path name, returns the path component that represents the table name.

 This function is useful when extracting file I/O information from the Performance Schema that includes file path names. It provides a convenient way to display table names, which can be more easily understood than full path names, and can be used in joins against object table names.

##### Parameters

* `path VARCHAR(512)`: The full path to a data file from which to extract the table name.

##### Return Value

 A `VARCHAR(64)` value.

##### Example

```
mysql> SELECT sys.extract_table_from_file_name('/usr/local/mysql/data/world/City.ibd');
+--------------------------------------------------------------------------+
| sys.extract_table_from_file_name('/usr/local/mysql/data/world/City.ibd') |
+--------------------------------------------------------------------------+
| City                                                                     |
+--------------------------------------------------------------------------+
```

